Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133862 - I18N - wsdl from db wizard: Columns dlg has resize issue
I18N - wsdl from db wizard: Columns dlg has resize issue
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: SQL Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: nav064
issues@soa
61fixes2-fixed
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 19:10 UTC by kaa
Modified: 2008-07-10 15:07 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
dlg with resize issue (65.73 KB, image/jpeg)
2008-04-24 19:12 UTC, kaa
Details
dlg after manual resize (81.70 KB, image/jpeg)
2008-04-24 19:12 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-04-24 19:10:44 UTC
Product Version: NetBeans IDE Dev (Build 20080424124045)
Java: 1.6.0_05; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)
Default fontsize, project encoding UTF-8

Steps:
1. Open wsdl from db wizard
2. Goto the step 4
3. Double click Advanced cell

The dialog appears. It doesn't resize to show all of its buttons.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the UI objects and
information in them. I'm running in pseudo localized locale in which each message/label is sometimes longer than in
English. To account for that in some locales, translations from English (and some other euro languages) could be shown
with longer strings.

Also I'm running at font size 16, which is viewed as a valid font size that might be used. Resizing issues are not just
related to i18n; they might show to user in English locale if they run at larger font size.

Often, these issues happen because the length of some label or message or size of entire window is hardcoded vs using
layout managers or other techniques or api to have the windows or the objects in them, dynamically resize.
Comment 1 kaa 2008-04-24 19:12:11 UTC
Created attachment 60662 [details]
dlg with resize issue
Comment 2 kaa 2008-04-24 19:12:47 UTC
Created attachment 60663 [details]
dlg after manual resize
Comment 3 Venkat Srinivasan 2008-04-24 19:15:22 UTC
Pls look into this.
Comment 4 Ken Frank 2008-04-24 19:57:57 UTC
also in panel 3, not show all of label
for
Database name (next to the dropdown)
Selected table

at least on solaris, even at fontsize default
resize makes no difference

Andrey can you add image of that ?
Comment 5 kaa 2008-04-24 20:20:14 UTC
Separate issue was filed for this:
129414 - not fixed ( the same was for 6.0 109419 - fixed, verified). It has an image.
Comment 6 Ken Frank 2008-04-24 22:17:50 UTC
this seems to be a serious one in that even using default font
size, and using pseudo translated, some buttons were not showing
at all and user does not know how to cancel or ok the window 
(and they would not know to resize it since thats not usual needed
user action)

perhaps this was side effect of fixing msgs or that once the msgs did 
come from bundle, then the problem showed

but I think its something else since on other wizard panel is also resize
problem not there before and it was not missing msg; kaa will add gif
of that soon.

ken.frank@sun.com
Comment 7 Sergey Lunegov 2008-04-25 07:46:12 UTC
changed target milestone.
Comment 8 nav064 2008-04-29 13:35:30 UTC
This must be due to long strings in the bundle for buttons "Clear All", "Select All", etc. I'll look into it.
Comment 9 nav064 2008-05-01 10:50:54 UTC
http://hg.netbeans.org/main/rev/fc2348474b14

Changeset for 133862 and 133874
Comment 10 Ken Frank 2008-05-07 19:41:58 UTC
verified, trunk 0507, solaris, ja locale using pseudo localized.

this could go into patch 2 - adding whiteboard entry and sustaining to cc

ken.frank@sun.com
Comment 11 pslechta 2008-05-27 15:37:11 UTC
Hi nav064,

(1) please provide changeset for this issue only (not for two issues: 133862 and 133874)

(2) the change set you provided has label "Automated merge with http://hg.netbeans.org/main/" which is strange, it
should have label with issue number that was fixed.

(3) Excetion handling in changeset http://hg.netbeans.org/main/rev/fc2348474b14 may be done much better (file
sql.wizard/src/org/netbeans/modules/jdbcwizard/builder/wsdl/WSDLGenerator.java):

Instead of

             WSDLGenerator.logger.log(Level.INFO, "Successfully generated wsdl file :" + outputFileName);
         } catch (final Exception e) {
            if(e instanceof UnsupportedEncodingException){
                ...
            }
            if(e instanceof FileNotFoundException){
                System.out.println(e.getMessage()+"FileNotFoundException");
            }
            if(e instanceof IOException){
                    System.out.println(e.getMessage()+"IOException");
            }
            if(e instanceof UnsupportedCharsetException){ 
                   System.out.println(((UnsupportedCharsetException)e).getCharsetName());
            }

you can catch the proper exception type in one level above, like:

             WSDLGenerator.logger.log(Level.INFO, "Successfully generated wsdl file :" + outputFileName);
         } catch (UnsupportedEncodingException e) {
            ...
         }
         catch (FileNotFoundException e){
                System.out.println(e.getMessage()+"FileNotFoundException");
         }
         catch (IOException e){
                    System.out.println(e.getMessage()+"IOException");
         }
         catch (UnsupportedCharsetException e){ 
                   System.out.println(((UnsupportedCharsetException)e).getCharsetName());
         }

Also, please do not use System.out.println(), redirect all these messages into log file. And make them more descriptive,
please.

Can you fix this and may you provide new changeset for this issue?
Thanks!
Comment 12 nav064 2008-05-28 06:39:18 UTC
Hi Petr,

1) Please ignore the changes in file WSDLGenerator.java and ChosenColumnPanel.java. This has to be re-worked. Sorry for
including that.
2) The changeset for the fix is http://hg.netbeans.org/main/rev/89437828ac01 
3) The changes in bundle are for 133874 and those in JDBCWizardTablePanel.java are for 133862.

Let me know if you need more info.
Comment 13 pslechta 2008-06-03 13:05:50 UTC
Are you going to provide new fix for this issue? Or should I use the old one, which is not very nice?
Comment 14 nav064 2008-06-03 13:45:01 UTC
May be I wasn't clear in my previous post. 
Please don't make any changes in WSDLGenerator.java and ChosenColumnPanel.java
Porting the changes in the remaining files i.e., JDBCWizardTablePanel.java and Bundle.properties as provided in the
changeset would fix this issue.

The required changes for exception logging are done already to WSDLGenerator.java under a different issue id.
Comment 15 pslechta 2008-06-03 13:57:51 UTC
The fix has been ported into the release61_fixes repository.

http://hg.netbeans.org/release61_fixes/rev/aa2ce24e193f


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo